VN_ISDISK(9)

NAME
vn_isdisk - checks if a vnode represents a disk

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
vn_isdisk(struct vnode *vp, int *errp);

DESCRIPTION
The vn_isdisk() function checks to see if vp represents a disk. In order for vp to be a disk, it must be a character device, v_rdev must be valid, and the cdevsw entry's flags must have D_DISK set.

Its arguments are:

vp  The vnode to check.

errp
    An integer pointer to store the error number in if the call fails.

RETURN VALUES
If the vnode represents a disk, 1 is returned; otherwise, 0 is returned and errp will contain the error number.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.